/* Portable signal information database
 * J. Welsh, May 2019
 * Public domain
 */

/* Platform-specific signal number for a standard name: "INT" -> SIGINT.
 * -1 if unknown. */
int sig_number(const char *);

/* Standard name for a signal number: SIGINT -> "INT".
 * NULL if unknown. */
const char *sig_name(int);

/* Note that while sig_number(sig_name(NUM)) == NUM for any valid NUM,
 * sig_name(sig_number(NAME)) may not match NAME due to aliases. */

/* Descriptive message for a signal number.
 * Always returns a non-empty plain-ASCII string. */
const char *sig_message(int);

/* Maximum strlen() of a sig_name() */
size_t sig_name_maxlen(void);

/* Maximum strlen() of a sig_message() */
size_t sig_message_maxlen(void);
