/* djbtronic expanding string interface, adapted for pdksh
 * http://cr.yp.to/lib/stralloc.html
 * J. Welsh, May 2019
 * Public domain
 */

#include <stddef.h> /* size_t */

typedef struct {
	char *s; /* allocated in ATEMP so be sure to save if needed */
	size_t len;
	size_t a;
} stralloc;

void stralloc_ready(stralloc *,size_t);
void stralloc_readyplus(stralloc *,size_t);
void stralloc_copy(stralloc *,stralloc const *);
void stralloc_copys(stralloc *,char const *);
void stralloc_copyb(stralloc *,char const *,size_t);
void stralloc_cat(stralloc *,stralloc const *);
void stralloc_cats(stralloc *,char const *);
void stralloc_catb(stralloc *,char const *,size_t);
#define stralloc_append(sa,buf) stralloc_catb((sa),(buf),1)
#define stralloc_0(sa) stralloc_append((sa),"")
int stralloc_starts(stralloc const *,char const *);

