/* String extension library
 * J. Welsh, May 2019
 * Public domain
 */

#include <stddef.h> /* size_t */
typedef unsigned char uchar;

/* All variants preserve signedness up to elementwise comparison, rather than
 * sign-punning pointers. These are probably equivalent on a two's complement
 * machine but this at least avoids warnings. */

/* !memcmp(a,b,len) */
int mem_eq(void const *,void const *,size_t);

/* !strcmp(a,b) */
int str_eq(char const *,char const *);
int ustr_eq_cstr(uchar const *,char const *);
/* !strncmp(a,b,len) */
int ustr_eq_cstr_l(uchar const *,char const *,size_t);

/* Compared to their stdlib analogs, the following don't circumvent const, and
 * provide the index without need for overflowable pointer subtraction. */

/* stristr(A,B) -> least index of string A matching substring B;
 *                 strlen(A) if no match. */
size_t stristr(char const *,char const *);
/* strichr(A,B) -> least index of string A containing char B;
 *                 strlen(A) if no match. */
size_t strichr(char const *,char);

/* per OpenBSD */
size_t strlcpy(char *,char const *,size_t);
size_t strlcat(char *,char const *,size_t);
