#include <unistd.h>
#include <stdarg.h>
#include <stdlib.h>
#include <errno.h>

int execle(const char *path, const char *argv0, ...)
{
	int argc;
	va_list ap;
	va_start(ap, argv0);
	for (argc=1; va_arg(ap, const char *); argc++);
	va_end(ap);
	{
		int i;
		char **argv = calloc(argc+1, sizeof *argv);
		char **envp;
		if (!argv) return -1;
		va_start(ap, argv0);
		argv[0] = (char *)argv0;
		for (i=1; i<=argc; i++)
			argv[i] = va_arg(ap, char *);
		envp = va_arg(ap, char **);
		va_end(ap);
		execve(path, argv, envp);
		{
			int saved = errno;
			free(argv);
			errno = saved;
		}
		return -1;
	}
}
