#!/usr/bin/python2

from sys import stdin
from csv import reader

pad = lambda s, w: s + ' '*max(1, w - len(s))

last_nums = {}
last_comment = ''

for r in reader(stdin):
    name = r[0]
    num = r[1]
    proto = r[2]
    comment = r[3]

    try:
        if int(num) > 1023:
            break
    except ValueError:
        continue

    if not name:
        continue
    if last_nums.get(proto) == num:
        continue
    last_nums[proto] = num

    line = pad(name, 16) + pad(num + '/' + proto, 12)
    comment = comment.split('\n')[0]
    if comment and not comment.startswith('IANA') and comment != last_comment:
        line += '# ' + comment
        last_comment = comment
    print line.rstrip()
