P=autoconf
V=2.69
MAJOR=69
MINOR=0

# Requires: m4 perl

S="
$P-$V.tar.xz http://ftp.gnu.org/gnu/$P/$P-$V.tar.xz
$P-2.69-unescaped-brace.patch
"

SHA512="
995d3e5a8eb1eb37e2b7fae53c6ec7a9b4df997286b7d643344818f94636756b1bf5ff5ea9155e755cb9461149a853dfbf2886fc6bd7132e5afa9c168e306e9b  autoconf-2.69.tar.xz
"

build () {
	tar xf $P-$V.tar.xz
	cd $P-$V
	patch -p1 < ../$P-2.69-unescaped-brace.patch
	./configure --prefix=/gales/pkg/$Q --datarootdir=/gales/pkg/$Q
	make -j$JOBS
	make install DESTDIR=$PWD/../root
}

check () {
	cd $P-$V
	make check -j$JOBS
}

package () {
	p=gales/pkg/$Q

	cd $P-$V
	for f in AUTHORS BUGS NEWS README THANKS; do
		f $p/doc/$f
	done

	cd ../root/$p
	a $p/autoconf
	a $p/bin
	f $p/info/autoconf.info info/autoconf.info
	# Skipping useless help2man junk

	l gales/pkg/$P $Q
	for f in autoconf autoheader autom4te autoreconf autoscan autoupdate ifnames; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/info/autoconf.info ../pkg/$P/info/autoconf.info
	l gales/doc/$P ../pkg/$P/doc
}
