P=automake
V=1.15
MAJOR=15
MINOR=0

# Build requires: autoconf
# Requires: perl

S="
$P-$V.tar.xz http://ftp.gnu.org/gnu/automake/$P-$V.tar.xz
$P-$V-unescaped-brace.patch
"

SHA512="
200a13f49a3f492ed27bc2eb615aa2f47e775e470a781f6821cd43e0f7b927d091e690b4a23fe5cc8fa79c48daaa9436be4b968784696c3bdbf1634b456cda47  automake-1.15.tar.xz
"

build () {
	tar xf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../$P-$V-unescaped-brace.patch

	p=/gales/pkg/$Q
	./configure --prefix=$p --datarootdir=$p --docdir=$p/doc
	make -j$JOBS
	make install DESTDIR=$PWD/../root
}

check () {
	echo 'FIXME: the test suite is insanely slow, and broken; skipping'
	return
	cd $P-$V
	make check -j$JOBS
}

package () {
	# The unversioned aclocal directory is for third-party macros and is
	# documented as being sharable between automake versions
	d gales/aclocal

	p=gales/pkg/$Q
	l $p/aclocal /gales/aclocal

	cd $P-$V
	for f in AUTHORS NEWS README THANKS; do
		f $p/doc/$f
	done

	cd ../root/$p
	a $p/aclocal-$V
	a $p/automake-$V

	# Skipping version-suffixed hard links
	x $p/bin/aclocal bin/aclocal
	x $p/bin/automake bin/automake

	a $p/info
	# Skipping useless help2man junk

	l gales/pkg/$P $Q
	l gales/command/aclocal ../pkg/$P/bin/aclocal
	l gales/command/aclocal-$V ../pkg/$Q/bin/aclocal
	l gales/command/automake ../pkg/$P/bin/automake
	l gales/command/automake-$V ../pkg/$Q/bin/automake
	cd info
	for f in *; do
		l gales/info/$f ../pkg/$P/info/$f
	done
	l gales/doc/$P ../pkg/$P/doc
}
