P=bash
V=4.4.12
MAJOR=0
MINOR=0
distname=bash-4.4

# Build requires: autoconf ncurses [for terminfo]
# TODO: de-autoconf

S="
$distname.tar.gz http://ftp.gnu.org/gnu/$P/$distname.tar.gz
rollup-bash44-001-012.patch
bash-4.4-config-top.patch
bash-4.4-kill-inet.patch
bash-4.4-yes-warnings.patch
README.gales
"

SHA512="
73de3b425faaac55e45456b0f6f6d8077b5dfa7bb76e0d1894a19361b4a2b6bd4fbbe182117ddbfe9b07b4d898fba03537c261badc9533dd3c0da891764c7f29  bash-4.4.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $distname.tar.gz
	cd $distname
	patch -p1 <../rollup-bash44-001-012.patch
	patch -p1 <../bash-4.4-config-top.patch
	patch -p1 <../bash-4.4-kill-inet.patch
	patch -p1 <../bash-4.4-yes-warnings.patch
	autoconf
	CFLAGS=-O1 \
	LDFLAGS=-L/gales/pkg/ncurses/lib \
	./configure \
		--prefix=/gales/pkg/$Q \
		--datarootdir=/gales/pkg/$Q \
		--docdir=/gales/pkg/$Q/doc \
		--without-bash-malloc \
		--enable-static-link \
		--disable-nls \
		--disable-function-import \
		--disable-multibyte \
		--disable-net-redirections \
		--disable-restricted
	make -j$JOBS
	make install DESTDIR=$root
	rm $root/gales/pkg/$Q/doc/*.html
}

check () {
	echo "Skipping tests: invasive and broken"
	#cd $distname
	#make tests
}

package () {
	f gales/pkg/$Q/doc/README.gales
	a gales/pkg/$Q root/gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/bash ../pkg/$P/bin/bash
	l bin/bash /gales/pkg/$P/bin/bash
	l gales/doc/$P ../pkg/$P/doc
	l gales/info/$P.info ../pkg/$P/info/$P.info
	l gales/man/$P ../pkg/$P/man
}
