P=bc
V=1.06.95
MAJOR=0
MINOR=0

# Build requires: autoconf automake readline[+ncurses]

S="
$P-$V.tar.bz2 http://alpha.gnu.org/gnu/$P/$P-$V.tar.bz2
bc-1.06.95-void_uninitialized.patch
bc-1.06.95-libs-are-not-ldflags.patch
"

SHA512="
16ec13f87ef76ad4de77d378ef8d65a582adca1bf661c9d7675e78d940680c77e81a00a01817fde7c1ad1524562d6f933caa5c42a0686f3f85aadbb39393afb1  bc-1.06.95.tar.bz2
"

build () {
	root=$PWD/root
	tar xjf $P-$V.tar.bz2
	cd $P-$V
	patch -p0 <../bc-1.06.95-void_uninitialized.patch
	patch -p1 <../bc-1.06.95-libs-are-not-ldflags.patch
	find . -name Makefile.in -exec rm {} +
	rm aclocal.m4 config.h.in configure depcomp install-sh missing
	autoreconf -fis
	CPPFLAGS="-I/gales/pkg/readline/include" \
	LDFLAGS="-L/gales/pkg/readline/lib -L/gales/pkg/ncurses/lib" \
	./configure --prefix=/gales/pkg/$Q --datarootdir=/gales/pkg/$Q --with-readline
	# avoid rebuilding info pages (thus requring texinfo) due to silly generated texi-ver.incl
	touch doc/*.info
	make -j$JOBS
	make install-strip DESTDIR=$root
}

package () {
	cd $P-$V
	for f in AUTHORS FAQ NEWS README; do
		f gales/pkg/$Q/doc/$f
	done
	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/bc ../pkg/$P/bin/bc
	l gales/command/dc ../pkg/$P/bin/dc
	l gales/doc/$P ../pkg/$P/doc
	l gales/info/bc.info ../pkg/$P/info/bc.info
	l gales/info/dc.info ../pkg/$P/info/dc.info
	l gales/man/$P ../pkg/$P/man
}
