P=cmake
V=3.7.2
MAJOR=0
MINOR=0

# Uses bundled: expat, zlib, bzip2, liblzma, curl, jsoncpp, libarchive

S="
$P-$V.tar.gz
"

SHA512="
b2ed0192e12267de19eb178c2dedc69d06fc33dfadd47efbe0ccf6969ad72d290fa4bff02861c379a8752337d67d2485d7e1ba947cb219f2e4041a53a195e88d  cmake-3.7.2.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	./bootstrap \
		--no-server \
		--prefix=/gales/pkg/$Q \
		--datadir=share \
		--docdir=doc \
		--parallel=$JOBS \
		-- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DBUILD_TESTING=OFF \
		-DBUILD_CursesDialog=OFF
	make -j$JOBS
	make install DESTDIR=$root
}

check () {
	echo "skipping slow and failing test suite"
	#cd $P-$V
	#make test
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/README.rst
	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/cmake ../pkg/$P/bin/cmake
	l gales/command/cpack ../pkg/$P/bin/cpack
	l gales/command/ctest ../pkg/$P/bin/ctest
	l gales/doc/$P ../pkg/$P/doc
}
