P=gdb
V=7.12.1
MAJOR=0
MINOR=0

# Build requires: flex bison readline

# TODO:
# - regen info pages (require makeinfo)
# - use system zlib (see below)
# - deduplicate libiberty, bfd etc. from gcc

S="
$P-$V.tar.xz http://ftp.gnu.org/gnu/$P/$P-$V.tar.xz
gdb-7.12.1-system-readline-docs-workaround.patch
"

SHA512="
0ac8d0a495103611ef41167a08313a010dce6ca4c6d827cbe8558a0c1a1a8a6bfa53f1b7704251289cababbfaaf9e075550cdf741a54d6cd9ca3433d910efcd8  gdb-7.12.1.tar.xz
"

build () {
	root=$PWD/root
	tar xJf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../gdb-7.12.1-system-readline-docs-workaround.patch
	# I tried --with-system-zlib but bfd/compress.c demands compressBound (i.e. newer zlib). There's no apparent way to disable compression support.
	#rm -rf zlib
	rm -rf readline intl
	# YYFILES generated by flex + bison per Makefile.in
	(cd gdb && rm -f c-exp.c cp-name-parser.c ada-lex.c ada-exp.c jv-exp.c d-exp.c f-exp.c go-exp.c m2-exp.c p-exp.c rust-exp.c)
	# "-I" options semantically belong in CPPFLAGS, but gdb's configure doesn't recognize that variable as advertised.
	LDFLAGS="-L/gales/pkg/readline/lib" \
	CFLAGS="-O1 -I/gales/pkg/readline/include" \
	./configure \
		--prefix=/gales/pkg/$Q \
		--datarootdir=/gales/pkg/$Q \
		--disable-build-with-cxx \
		--disable-nls \
		--disable-shared \
		--disable-inprocess-agent \
		--without-python \
		--without-guile \
		--without-expat \
		--with-system-readline \

	make -j$JOBS
	# The trivial GDBvn.texi is not included in the distribution as advertised, causing gdb.info to appear out of date and "make install" to fail if "makeinfo" isn't available.
	(cd gdb/doc && make GDBvn.texi && touch -r gdb.info version.subst GDBvn.texi)
	make install DESTDIR=$root
}

package () {
	r=gales/pkg/$Q
	cd $P-$V/gdb
	f $r/doc/MAINTAINERS
	f $r/doc/NEWS
	f $r/doc/README
	cd ../../root/$r
	a $r/bin
	a $r/gdb
	a $r/info
	a $r/man
	l gales/pkg/$P $Q
	for f in gcore gdb gdbserver ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	cd info
	for f in annotate.info* gdb.info* stabs.info* ; do
		l gales/info/$f ../pkg/$P/info/$f
	done
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
