P=libressl
V=2.5.4
MAJOR=0
MINOR=1

S="
$P-$V.tar.gz http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/$P-$V.tar.gz
libressl-2.5.4-entropy.patch
"

SHA512="
8ca86c14af0020c90bef4651892799864938dab9d898172269cb78bad5963314e064f2b4c46e6a04e0b85d1eddbd1840b734803c11ceec8fd6bb1290e0fe204c  libressl-2.5.4.tar.gz
"

build () {
	root=$PWD/root
	tar xf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../libressl-2.5.4-entropy.patch
	# Low optimization as this is security-critical
	CFLAGS="-g -O1" ./configure --prefix=/gales/pkg/$Q \
		--datarootdir='${prefix}' \
		--disable-shared
	make -j$JOBS
	make install DESTDIR=$root
	strip $root/gales/pkg/$Q/bin/*
}

check () {
	cd $P-$V
	make check
}

package () {
	r=gales/pkg/$Q
	cd root/$r/bin
	X $r/bin/ocspcheck
	X $r/bin/openssl

	cd ../lib
	F $r/lib/libcrypto.a
	F $r/lib/libssl.a
	F $r/lib/libtls.a

	cd ../etc/ssl
	f $r/etc/examples/cert.pem
	f $r/etc/examples/openssl.cnf
	f $r/etc/examples/x509v3.cnf

	cd ../..
	a $r/include
	a $r/man

	l gales/pkg/$P $Q
	l gales/command/ocspcheck.lssl ../pkg/$P/bin/ocspcheck
	l gales/command/openssl.lssl ../pkg/$P/bin/openssl
	d etc/libressl
	l $r/etc/ssl /etc/libressl
	l gales/man/$P ../pkg/$P/man
}
