#!/bin/sh

cur_sha512 () {
	for d in *; do
		[ -d "$d" ] || continue
		(cd "$d"; . ./build.sh
		printf %s "$S" | while read -r f url; do
			[ -z "$f" -o -f "$f" ] && continue
			printf %s "$SHA512" | awk -v src="$f" '
/^[a-z0-9]{128}  [^ ]+$/ { if ($2 == src) { print; found=1 } }
END { if (!found) print "out-of-tree source missing SHA512: " src | "cat >&2" }'
		done)
	done | sort -k2
}

all_sha512 () {
	for d in *; do
		[ -d "$d" ] || continue
		(. "$d/build.sh"; printf %s "$SHA512")
	done | egrep -v '^$' | sort -k2
}

cmd="$1"; shift
case "$cmd" in
	list-cur-sha512) cur_sha512 ;;
	list-all-sha512) all_sha512 ;;
	*) printf 'invalid command: %s\n' "$cmd" ;;
esac
