P=mandoc
V=1.14.3
MAJOR=0
MINOR=1

S="
$P-$V.tar.gz http://mandoc.bsd.lv/snapshots/$P-$V.tar.gz
Makefile.local
config.h
mandoc-1.14.3-no-gzip.patch
update-manpath
"

SHA512="
cd638fbacb068fcd6191f2a4e941effc010e3ebf06a3e32847b892c2e561771d03d5bca8fbdf8434d6491f4b68df3f443e2568b79193b7342044fba476fcd30b  mandoc-1.14.3.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	cp ../Makefile.local .
	cp ../config.h .
	patch -p1 <../mandoc-1.14.3-no-gzip.patch
	make -j$JOBS install PREFIX=/gales/pkg/$Q DESTDIR=$root
}

check () {
	echo "tests disabled due to utf8 failures" # (and perl dependency)
	#cd $P-$V/regress
	#./regress.pl
}

package () {
	r=gales/pkg/$Q
	x $r/bin/update-manpath
	cd $P-$V
	f $r/doc/LICENSE
	f $r/doc/NEWS
	f $r/doc/TODO
	cd ../root/gales/pkg
	a $r
	l gales/pkg/$P $Q
	for f in apropos demandoc makewhatis man mandoc soelim whatis update-manpath ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
	i 'You can now run "update-manpath" to generate the required /etc/mandoc.conf.'
}
