base=5.9
rollup=20141206

P=ncurses
V=$base.$rollup
MAJOR=0
MINOR=1

S="
$P-$base.tar.gz
$P-$base-$rollup-patch.sh.bz2
"

SHA512="
d7c5e54b6d4d8b9211f0006ca8786f7609d180cc1aaebf4f25e7e35e12959779cf66447359a602daed625621ca32b0d910d67aef3eb8b6fdc3c373819a88faa1  ncurses-5.9.tar.gz
2be09ff3ca58fd7258761d85181de2017390a08acc7d87b37c7d0f5fccf736d6736b6d683fc2487f50179ebce0cfddc38c5ed0a1a07956a4267209fa2bb82434  ncurses-5.9-20141206-patch.sh.bz2
"

bin_progs="clear infocmp tabs tic toe tput tset"

build () {
	root=$PWD/root
	tar xf ncurses-$base.tar.gz
	bzip2 -dc ncurses-$base-$rollup-patch.sh.bz2 >ncurses-$base-$rollup-patch.sh
	cd ncurses-$base
	sh ../ncurses-$base-$rollup-patch.sh
	CFLAGS="-g -O1" ./configure \
		--prefix=/gales/pkg/$Q \
		--datarootdir=/gales/pkg/$Q \
		--without-debug \
		--disable-big-strings \
		--disable-home-terminfo \
		--enable-lp64 \
		--enable-assertions \
		--enable-const \
		--enable-ext-mouse \
		--disable-home-terminfo \
		--enable-symlinks \
		--enable-warnings \
		--with-chtype=uint32_t \
		--with-manpage-format=normal \
		--with-mmask_t=uint32_t \
		--with-terminfo-dirs=/gales/pkg/$P/terminfo \
		--with-default-terminfo-dir=/gales/pkg/$P/terminfo \
		--with-tparm-arg=intptr_t \
		--without-ada
	make -j$JOBS
	make install DESTDIR=$root
	cd $root/gales/pkg
	mv $P/terminfo $Q/
	cd $Q/bin
	strip $bin_progs
}

package () {
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/man/$P ../pkg/$P/man
	l include/$P /gales/pkg/$P/include/$P
	for f in $bin_progs captoinfo infotocap reset ncurses6-config; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	for f in form menu ncurses ncurses++ panel; do
		l lib/lib$f.a /gales/pkg/$P/lib/lib$f.a
	done
}
