P=openssh
V=7.5p1
MAJOR=0
MINOR=0

# Build requires: libressl zlib

S="
$P-$V.tar.gz http://ftp.openbsd.org/pub/OpenBSD/OpenSSH/$P-$V.tar.gz
sshd.run
sshd_config_gales
"

SHA512="
58c542e8a110fb4316a68db94abb663fa1c810becd0638d45281df8aeca62c1f705090437a80e788e6c29121769b72a505feced537d3118c933fde01b5285c81  openssh-7.5p1.tar.gz
"

build () {
	src=$PWD
	root=$PWD/root
	tar xf $P-$V.tar.gz
	cd $P-$V
	# Low optimization as this is security-critical
	CFLAGS=-O1 ./configure --prefix=/gales/pkg/$Q --sysconfdir=/etc/ssh \
		--disable-pkcs11 \
		--disable-etc-default-login \
		--with-pie \
		--with-mantype=man \
		--with-zlib=/gales/pkg/zlib \
		--with-ssl-dir=/gales/pkg/libressl \
		--disable-lastlog \
		--disable-utmp \
		--disable-utmpx \
		--disable-wtmp \
		--disable-wtmpx \
		--with-default-path=/gales/command:/command:/bin:/local/bin
	make -j$JOBS
	make install DESTDIR=$root
	cd $root/etc/ssh
	(sed "/^Subsystem/ s/$Q/$P/" sshd_config
	 cat $src/sshd_config_gales) >sshd_config.new
	mv sshd_config.new sshd_config
}

package () {
	x etc/examples/svc/sshd/run sshd.run
	l etc/examples/svc/sshd/log/run /etc/svc.defs/multilog

	r=gales/pkg/$Q
	stage=$PWD/root
	cd $stage/$r

	cmds="scp sftp ssh ssh-add ssh-agent ssh-keygen ssh-keyscan"
	for c in $cmds; do
		X $r/bin/$c bin/$c
	done
	X $r/sbin/sshd sbin/sshd
	X $r/libexec/sftp-server libexec/sftp-server
	# For host-based auth; needs setuid root (4711)
	#X $r/libexec/ssh-keysign libexec/ssh-keysign
	# Wonder why this is built given --disable-pkcs11...
	#X $r/libexec/ssh-pkcs11-helper libexec/ssh-pkcs11-helper
	for f in `find share/man -type f`; do
		f $r/$f $f
	done

	cd $stage/etc/ssh
	f etc/examples/ssh/moduli
	f etc/examples/ssh/ssh_config
	f etc/examples/ssh/sshd_config

	l gales/pkg/$P $Q
	l gales/man/$P ../pkg/$P/share/man
	for c in $cmds; do
		l gales/command/$c ../pkg/$P/bin/$c
	done
}
