P=php
V=5.6.34
MAJOR=506
MINOR=0

# Build requires: autoconf, sqlite
# TODO: bison, re2c, libxml2 (?)

# To investigate:
# - enable_dl => On
# - internal Olson timezone database
# - internal libmagic
# - session.use_strict_mode => Off
# - Dynamic Library Support => enabled
# - url_rewriter.tags

S="
$P-$V.tar.xz https://secure.php.net/distributions/$P-$V.tar.xz
README.gales
kill-libtool.patch
kill-shtool.patch
expr.patch
static-sendmail.patch
cgi-cleanup.patch
poll.h.patch
readdir_r.patch
eat-dev-server-banner.patch
iconv-conftest-segfault.patch
kill-scripts.patch
hands-off-my-paths.patch
fp-macros.patch
fopen-failure.patch
run
"

SHA512="
9aa02f943d6949a28ad96df5e75eec3ecab3731824400d0a0a8ccba9dee95b7af6421b38b86f352a45c778019ebfb1e6161a03256e4ef712341a9e0bad596ae7  php-5.6.34.tar.xz
"

build () {
	tar xJf $P-$V.tar.xz
	cd $P-$V
	mv acinclude.m4 aclocal.m4
	rm build/libtool.m4 configure ltmain.sh main/php_config.h.in missing mkinstalldirs
	# Sometimes bundled dependencies are nice, but sqlite is big and they used the predigested amalgamation file. "Open source" huh.
	rm ext/sqlite3/libsqlite/*
	# And this is a straight-up binary blob.
	rm pear/install-pear-nozlib.phar
	patch -p1 <../kill-libtool.patch
	patch -p1 <../kill-shtool.patch
	patch -p1 <../expr.patch
	patch -p1 <../static-sendmail.patch
	patch -p1 <../cgi-cleanup.patch
	patch -p1 <../poll.h.patch
	patch -p1 <../readdir_r.patch
	patch -p1 <../eat-dev-server-banner.patch
	patch -p1 <../iconv-conftest-segfault.patch
	patch -p1 <../kill-scripts.patch
	patch -p1 <../hands-off-my-paths.patch
	patch -p1 <../fp-macros.patch
	patch -p1 <../fopen-failure.patch
	# Re-bundle the amalgamation rather than linking the library so the build system can control the enabled features
	cp /gales/pkg/sqlite/lib/sqlite3.c /gales/pkg/sqlite/include/sqlite3.h ext/sqlite3/libsqlite/
	autoconf
	autoheader
	CFLAGS=-O2 \
	./configure --prefix=/gales/pkg/$Q \
		--sbindir='${prefix}/bin' \
		--datarootdir='${prefix}' \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--with-layout=GNU \
		--disable-opcache \
		--disable-phar \
		--disable-libxml \
		--disable-dom \
		--disable-simplexml \
		--disable-xml \
		--disable-xmlreader \
		--disable-xmlwriter \
		--with-mysqli \
		--with-pdo-mysql \
		--without-pear
	make -j$JOBS
}

check () {
	echo "skipping: slow, known failures, doesn't return an exit code"
	return
	cd $P-$V
	make test TESTS="-q -s test.log"
}

package () {
	r=gales/pkg/$Q
	x etc/examples/svc/php-fastcgi/run
	l etc/examples/svc/php-fastcgi/log/run /etc/svc.defs/multilog
	f $r/doc/README.gales
	cd $P-$V
	X $r/bin/php sapi/cli/php
	X $r/bin/php-cgi sapi/cgi/php-cgi
	f $r/doc/README.cli sapi/cli/README
	f $r/doc/README.FastCGI sapi/cgi/README.FastCGI
	f $r/doc/LICENSE
	f $r/doc/NEWS
	f $r/doc/UPGRADING
	f $r/doc/php.ini-development
	f $r/doc/php.ini-production
	f $r/man/man1/php.1 sapi/cli/php.1
	l $r/man/man1/php-cgi.1 php.1
	l gales/pkg/$P $Q
	l gales/command/php ../pkg/$P/bin/php
	l gales/command/php-cgi ../pkg/$P/bin/php-cgi
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
	i "See /gales/doc/php/README.gales for details about this port"
}
