P=qmail
V=1.03
MAJOR=0
MINOR=0

# Recommended: ucspi-tcp [for smtp]

S="
$P-$V.tar.gz http://cr.yp.to/software/$P-$V.tar.gz
qmail-1.03.errno.patch
qmail-1.03.no-cname.jfw.patch
qmail-1.03.qmail_local.patch
qmail-1.03.smtpd-blast.patch
qmail-1.03.zero-localhost.patch
qmail-1.03.alloc-prototype.patch
"

SHA512="
f2cc47c3ef4a3595d5953f216811a9b60f505cf8cbfd31ae31a888ee04916936210ef1c23d59e8d280a5f0e1c3794b90ee212b2b0f36361c5eff842598c8aee2  qmail-1.03.tar.gz
"

build () {
	tar xzf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../qmail-1.03.errno.patch
	patch -p1 <../qmail-1.03.no-cname.jfw.patch
	patch -p1 <../qmail-1.03.qmail_local.patch
	patch -p1 <../qmail-1.03.smtpd-blast.patch
	patch -p1 <../qmail-1.03.zero-localhost.patch
	patch -p1 <../qmail-1.03.alloc-prototype.patch
	make
	make dot-qmail.5 qmail-control.5 qmail-getpw.8 qmail-limits.7 qmail-newmrh.8 qmail-newu.8 qmail-pw2u.8 qmail-send.8 qmail-start.8 qmail-users.5
	dd if=/dev/zero of=tcpto bs=1 count=1024
	true >sendmutex
}

package () {
	cd $P-$V
	# per hier.c
	d var/qmail 755 root:qmail
	for f in control users bin boot doc man man/man1 man/man5 man/man7 man/man8 ; do
		d var/qmail/$f 755 root:qmail
	done
	d var/qmail/alias 2755 alias:qmail
	d var/qmail/queue 750 qmailq:qmail
	d var/qmail/queue/pid 700 qmailq:qmail
	d var/qmail/queue/intd 700 qmailq:qmail
	d var/qmail/queue/todo 750 qmailq:qmail
	d var/qmail/queue/bounce 700 qmails:qmail
	dsplit mess 750 qmailq:qmail
	dsplit info 700 qmails:qmail
	dsplit local 700 qmails:qmail
	dsplit remote 700 qmails:qmail
	d var/qmail/queue/lock 750 qmailq:qmail
	F var/qmail/queue/lock/tcpto tcpto 644 qmailr:qmail
	F var/qmail/queue/lock/sendmutex sendmutex 600 qmails:qmail
	p var/qmail/queue/lock/trigger 622 qmails:qmail
	for f in home home+df proc proc+df binm1 binm1+df binm2 binm2+df binm3 binm3+df ; do
		x var/qmail/boot/$f $f 755 root:qmail
	done
	for f in FAQ UPGRADE SENDMAIL INSTALL INSTALL.alias INSTALL.ctl INSTALL.ids INSTALL.maildir INSTALL.mbox INSTALL.vsm TEST.deliver TEST.receive REMOVE.sendmail REMOVE.binmail PIC.local2alias PIC.local2ext PIC.local2local PIC.local2rem PIC.local2virt PIC.nullclient PIC.relaybad PIC.relaygood PIC.rem2local ; do
		f var/qmail/doc/$f $f 644 root:qmail
	done
	X var/qmail/bin/qmail-queue qmail-queue 4711 qmailq:qmail
	for f in qmail-lspawn qmail-start qmail-newu qmail-newmrh ; do
		X var/qmail/bin/$f $f 700 root:qmail
	done
	for f in qmail-getpw qmail-local qmail-remote qmail-rspawn qmail-clean qmail-send splogger qmail-pw2u qmail-popup ; do
		X var/qmail/bin/$f $f 711 root:qmail
	done
	for f in qmail-inject predate qmail-showctl qmail-qread qmail-tcpto qmail-tcpok qmail-pop3d qmail-qmqpc qmail-qmqpd qmail-qmtpd qmail-smtpd sendmail tcp-env qreceipt qsmhook qbiff forward preline condredirect bouncesaying except maildirmake maildir2mbox maildirwatch ; do
		X var/qmail/bin/$f $f 755 root:qmail
	done
	for f in datemail mailsubj qmail-qstat qail elq pinq ; do
		x var/qmail/bin/$f $f 755 root:qmail
	done
	for f in addresses envelopes maildir mbox dot-qmail qmail-control qmail-header qmail-log qmail-users tcp-environ ; do
		f var/qmail/man/man5/$f.5 $f.5 644 root:qmail
	done
	for f in forgeries qmail-limits qmail ; do
		f var/qmail/man/man7/$f.7 $f.7 644 root:qmail
	done
	for f in forward condredirect bouncesaying except maildirmake maildir2mbox maildirwatch mailsubj qreceipt qbiff preline tcp-env ; do
		f var/qmail/man/man1/$f.1 $f.1 644 root:qmail
	done
	for f in qmail-local qmail-lspawn qmail-getpw qmail-remote qmail-rspawn qmail-clean qmail-send qmail-start splogger qmail-queue qmail-inject qmail-showctl qmail-newmrh qmail-newu qmail-pw2u qmail-qread qmail-qstat qmail-tcpok qmail-tcpto qmail-pop3d qmail-popup qmail-qmqpc qmail-qmqpd qmail-qmtpd qmail-smtpd qmail-command ; do
		f var/qmail/man/man8/$f.8 $f.8 644 root:qmail
	done

	# stuff not installed by the original 'make setup' but that should probably still be included
	x var/qmail/bin/config
	x var/qmail/bin/config-fast
	for f in BLURB BLURB2 BLURB3 BLURB4 CHANGES INTERNALS README SECURITY THANKS THOUGHTS TODO VERSION ; do
		f var/qmail/doc/$f
	done

	l gales/doc/qmail /var/qmail/doc
	l gales/man/qmail /var/qmail/man
}

dsplit () {
	base=$1 ; shift
	split=`head -1 conf-split`
	split=`expr "$split" - 1`
	d var/qmail/queue/$base "$@"
	for i in `seq 0 $split` ; do
		d var/qmail/queue/$base/$i "$@"
	done
}
