CFLAGS = -O2 -Wall

# see compile.html
SHELL_CPPFLAGS = $(CPPFLAGS) \
	-DSQLITE_THREADSAFE=0 \
	-DSQLITE_DEFAULT_MEMSTATUS=0 \
	-DSQLITE_OMIT_DEPRECATED \
	-DSQLITE_OMIT_SHARED_CACHE \
	-DHAVE_READLINE \
	-I/gales/pkg/readline/include

# more conservative defaults for the prebuilt library
CPPFLAGS = -DSQLITE_OMIT_LOAD_EXTENSION \
	-DHAVE_FDATASYNC \
	-DHAVE_USLEEP

all: sqlite3 libsqlite3.a

sqlite3: shell.c sqlite3.c
	$(CC) $(CFLAGS) $(SHELL_CPPFLAGS) -L/gales/pkg/readline/lib -L/gales/pkg/ncurses/lib -o $@ $^ -lreadline -lncurses

libsqlite3.a: sqlite3.o
	$(AR) -rcs $@ $^
